<?php
/*
 * mailscript.php
 * Version vom 24.04.2021
 * 
 * Erfolgreich getestet mit: PHPMailer Version: 6.4.0
 */

// PHPMailer einbinden
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require __DIR__ . '/PHPMailer-master/src/Exception.php';
require __DIR__ . '/PHPMailer-master/src/PHPMailer.php';


// Empfänger
// An diese E-Mail-Adresse wird die Nachricht gesendet. Bitte einen Namen und E-Mail eintragen:
$empfaengerName = "John Doe"; // Name des Empfängers
$empfaengerEmail = "john.doe@example.com"; // E-Mail des Empfängers
$dankeSeite = "danke.html"; // Danke - Seite, die Mail wurde erfolgreich versandt. Eventuell anpassen.
$fehlerSeite = "fehler.html"; // Fehler - Seite, falls die Mail nicht versandt werden konnte. Eventuell anpassen.

// Betreff
// Jede E-Mail benötigt einen Betreff, da jedoch im Formular kein
// entsprechendes Feld gesetzt wurde, wird ein fester Betreff hinzugefügt.
$betreffEmail = "Kontaktformular Homepage";


// Wurden POST-Daten gesendet?
if ($_SERVER["REQUEST_METHOD"] == "POST") {

  // Zeitzone und das aktuelle Datum setzen
  date_default_timezone_set("Europe/Berlin");
  $datum = date("d.m.Y H:i");

  // HTML-Tags entfernen
  $_POST = array_map('strip_tags', $_POST);

  // Inhalt der E-Mail setzen
  $inhaltEmail = "Gesendet am: $datum Uhr
   Name: " . $_POST["name"] . "
   E-Mail: " . $_POST["email"] . "
   Phone: " . $_POST["phone"] . "

   Nachricht: " . $_POST["message"] . "
  ";

  // Instanz und Zeichenkodierung setzen
  $mail = new PHPMailer();
  $mail->CharSet = "UTF-8";

  // Absender und Empfänger setzen
  $mail->setFrom($_POST["email"], $_POST["name"]);
  $mail->addAddress($empfaengerEmail, $empfaengerName);

  // Betreff und Body setzen
  $mail->Subject = $betreffEmail;
  $mail->Body = $inhaltEmail;

 // E-Mail versenden
 if ($mail->Send()) {
  header("Location: " . $dankeSeite);
 }
 else {
  header("Location: " . $fehlerSeite);
 }
}
?>